[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] 3 commits: reproducible Debian live: publication on the website is now done by...

Holger Levsen (@holger) gitlab at salsa.debian.org
Mon Sep 5 14:23:05 BST 2022



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
ebc41db0 by Roland Clobus at 2022-09-05T15:20:05+02:00
reproducible Debian live: publication on the website is now done by reproducible_debian_live_sync.sh

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
ff1efeec by Roland Clobus at 2022-09-05T15:20:31+02:00
reproducible Debian live: Occasionally the archive gets updated between two builds

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
e79f4ae4 by Roland Clobus at 2022-09-05T15:22:40+02:00
reproducible Debian live: No sudo required to delete old live-build result directories

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


4 changed files:

- bin/reproducible_debian_live_build.sh
- bin/reproducible_html_rsync_remote_results.sh
- bin/reproducible_maintenance.sh
- logparse/reproducible.rules


Changes:

=====================================
bin/reproducible_debian_live_build.sh
=====================================
@@ -153,7 +153,7 @@ set -e
 
 if [ ${RETURNVALUE} -eq 99 -a "${SNAPSHOT_TIMESTAMP}" == "archive" ]; then
 	# The archive was updated while building. Retry
-	output_echo "Info: meanwhile the archive was updated, now trying again."
+	output_echo "Info: during the first build the archive was updated, now trying again."
 	rebuild_script/test/rebuild.sh "$1" "$2" "${SNAPSHOT_TIMESTAMP}"
 elif [ ${RETURNVALUE} -ne 0 -o ${BUILD_OK_FOUND} -ne 0 ]; then
 	# Something went wrong. Perhaps an alternative timestamp is proposed
@@ -184,12 +184,21 @@ rebuild_script/test/rebuild.sh "$1" "$2" "${SNAPSHOT_TIMESTAMP}"
 RETURNVALUE=$?
 set -e
 
-if [ ${RETURNVALUE} -eq 99 -a "${SNAPSHOT_TIMESTAMP}" == "archive" ]; then
-	# The archive was updated while building. Discard the first build and retry
-	output_echo "Info: meanwhile the archive was updated, now trying again."
-	mv live-image-amd64.hybrid.iso ${RESULTSDIR}/b1/${PROJECTNAME}/${CONFIGURATION}
-	mv summary.txt ${RESULTSDIR}/summary_build1.txt
-	rebuild_script/test/rebuild.sh "$1" "$2" "${SNAPSHOT_TIMESTAMP}"
+if [ "${SNAPSHOT_TIMESTAMP}" == "archive" ]; then
+	if [ ${RETURNVALUE} -eq 99 ]; then
+		# The archive was updated while building. The content might not be consistent.
+		# Discard the first build and retry
+		output_echo "Info: during the second build the archive was updated, now trying again."
+		mv live-image-amd64.hybrid.iso ${RESULTSDIR}/b1/${PROJECTNAME}/${CONFIGURATION}
+		mv summary.txt ${RESULTSDIR}/summary_build1.txt
+		rebuild_script/test/rebuild.sh "$1" "$2" "${SNAPSHOT_TIMESTAMP}"
+	elif [ $(stat ${RESULTSDIR}/b1/${PROJECTNAME}/${CONFIGURATION}/live-image-amd64.hybrid.iso live-image-amd64.hybrid.iso | grep Modify: | uniq | wc -l) -ne 1 ]; then
+		# The timestamps are different. Discard the first build and retry
+		output_echo "Info: between the builds the archive was updated, now trying again."
+		mv live-image-amd64.hybrid.iso ${RESULTSDIR}/b1/${PROJECTNAME}/${CONFIGURATION}
+		mv summary.txt ${RESULTSDIR}/summary_build1.txt
+		rebuild_script/test/rebuild.sh "$1" "$2" "${SNAPSHOT_TIMESTAMP}"
+	fi
 fi
 
 # Move the image away


=====================================
bin/reproducible_html_rsync_remote_results.sh
=====================================
@@ -46,5 +46,4 @@ rsync_remote_results() {
 echo "$(date -u) - Starting to rsync results."
 rsync_remote_results coreboot 		osuosl171-amd64.debian.net
 rsync_remote_results netbsd		osuosl171-amd64.debian.net
-rsync_remote_results debian_live_build	osuosl173-amd64.debian.net
 echo "$(date -u) - the end."


=====================================
bin/reproducible_maintenance.sh
=====================================
@@ -127,7 +127,7 @@ if [ ! -z "$OLDSTUFF" ] ; then
 	echo
 	echo "Old temp directories for live-build found in $REP_RESULTS"
 	echo -n "$OLDSTUFF"
-	find $REP_RESULTS -maxdepth 1 -type d -mtime +0 -name "live-build-*" -exec sudo rm -rf --one-file-system {} \; || true
+	find $REP_RESULTS -maxdepth 1 -type d -mtime +0 -name "live-build-*" -exec rm -rf --one-file-system {} \; || true
 	echo "These old temp directories for live-build have been deleted."
 	echo
 	DIRTY=true


=====================================
logparse/reproducible.rules
=====================================
@@ -47,7 +47,7 @@ warning /Warning: diffoscope returned error code/
 error /Error: Bad argument/
 error /Error: the image could not be built, no alternative was proposed/
 info /Info: The snapshot server is not available, using deb.debian.org instead/
-info /Info: meanwhile the archive was updated, now trying again/
+info /Info: .+ the archive was updated, now trying again/
 # Do not log the warning from the rebuild script: /Warning: meanwhile the archive was updated/
 info /Warning: the build failed with .+ Now trying again using the previous snapshot instead/
 info /Info: using live-build from git/



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/012fb28e9a96692436a5544165bb586902d49b7d...e79f4ae432de1f5b295537fc0f7de4f53923a807

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/012fb28e9a96692436a5544165bb586902d49b7d...e79f4ae432de1f5b295537fc0f7de4f53923a807
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20220905/a7076816/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list